* E Posta Adresiniz:
* Kodu Girin:

entmake fonksiyonu-7

entmake ile LWPOLYLINE çizmek
shark - 28.12.2005 15:00
Yazar: Derya KILIÇ
İçerik:

(Kontrol panelinizde görünür)
;;;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-
;;; Fonksiyon Tanımı:
(defun lwpolyline_ciz(_noklist _kalinlik _acikkapali _lyr / _nvert _opts _ele)
(setq _nvert (length _noklist)
_opts (list (cons 0 "LWPOLYLINE")
(cons 8 _lyr)
(cons 100 "AcDbEntity")
(cons 100 "AcDbPolyline")
(cons 90 _nvert)
(cons 70 _acikkapali)
(cons 43 _kalinlik))
)
(foreach _ele _noklist (setq _opts (append _opts (list (cons 10 _ele)))))
(entmake _opts)
);_lwpolyline_ciz
;;;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
;;; Kullanım :
(setq plist (list (list 10 20) (list 30 40) (list 50 60)))
(lwpolyline_ciz plist 0.0 T "deneme")
;;; Sonuç :
ekrana (10,20) (30,40) ve (50,60) noktalarından geçen 0.0 kalınlıklı, kapalı ve "deneme" isimli layer'da bir lwpolyline çizer.
Yorumlar :
@yQut   30.03.2010 11:03 #12674  

bir noktadan bir çizgiye nasıl dik bir çizgi çizdirebilirim.

Copyright © 2004-2019 | Tüm Hakları Saklıdır | 1905 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam | İletişim